bin_PROGRAMS = tdecachegrind

tdecachegrind_SOURCES = \
 functionselectionbase.ui \
 stackselectionbase.ui \
 partselectionbase.ui \
 configdlgbase.ui \
 loader.cpp cachegrindloader.cpp treemap.cpp pool.cpp \
 main.cpp configuration.cpp \
 functionselection.cpp coverage.cpp partgraph.cpp \
 toplevel.cpp stackselection.cpp stackbrowser.cpp \
 subcost.cpp tracedata.cpp partselection.cpp configdlg.cpp \
 utils.cpp fixcost.cpp \
 traceitemview.cpp instrview.cpp tabview.cpp \
 sourceview.cpp callmapview.cpp callview.cpp \
 coverageview.cpp costtypeview.cpp partview.cpp \
 listutils.cpp costtypeitem.cpp multiview.cpp \
 callitem.cpp coverageitem.cpp sourceitem.cpp \
 costlistitem.cpp partlistitem.cpp functionitem.cpp \
 instritem.cpp stackitem.cpp callgraphview.cpp

tdecachegrind_COMPILE_FIRST = ../version.h

tdecachegrind_LDADD   =  $(LIB_TDEIO)

KDE_ICON = AUTO

xdg_apps_DATA = tdecachegrind.desktop

mimeapplicationdir = $(kde_mimedir)/application
mimeapplication_DATA = x-tdecachegrind.desktop

EXTRA_DIST =              \
 tdecachegrind.desktop      \
 x-tdecachegrind.desktop    \
 hi32-app-tdecachegrind.png \
 hi48-app-tdecachegrind.png \
 Doxyfile                 \
 tdecachegrindui.rc

# set the include path for X, qt and KDE
INCLUDES= $(all_includes)

METASOURCES = AUTO

# the library search path. 
tdecachegrind_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

rcdir = $(kde_datadir)/tdecachegrind
rc_DATA = tdecachegrindui.rc

tipdir = $(kde_datadir)/tdecachegrind
tip_DATA = tips

messages: rc.cpp
	$(PREPARETIPS) > tips.txt
	LIST=`find . -name \*.h -o -name \*.cpp -o -name \*.txt`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) $$LIST -o $(podir)/tdecachegrind.pot; \
	fi
	rm -f tips.txt

